using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Utilities.BookingResource.Cqrs;

public class UpdateBookingResourceValidator : AbstractValidator<UpdateBookingResourceRequest>
{
    public UpdateBookingResourceValidator()
    {
        RuleFor(x => x.Id)
            .NotEmpty().WithMessage("ID is required");

        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);

        RuleFor(x => x.BookingGroupId)
            .NotEmpty().WithMessage("Booking Group is required");
    }
}